# Created by pyp2rpm-3.3.10
%global pypi_name certbot-dns-constellix
%global pypi_version 0.2.2
# This turns off bogus requirements for mock and mock-requests
%{?python_disable_dependency_generator}

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        2%{?dist}
Summary:        Constellix DNS Authenticator plugin for Certbot

License:        Apache License 2.0
URL:            https://github.com/Constellix/certbot-constellix
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
The certbot-dns-constellix plugin is used to automate the process of a dns-01
challenge in Certbot to allow the requesting and renewal of SSL certificates
through the Constellix DNS API.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(acme)
Requires:       python3dist(certbot)
Requires:       python3dist(setuptools)
Requires:       python3dist(requests)
%description -n python3-%{pypi_name}
The certbot-dns-constellix plugin is used to automate the process of a dns-01
challenge in Certbot to allow the requesting and renewal of SSL certificates
through the Constellix DNS API.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.md
%{python3_sitelib}/certbot_dns_constellix
%{python3_sitelib}/certbot_dns_constellix-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Mon Aug 12 2024 Konstantin Ryabitsev <konstantin@linuxfoundation.org> - 0.2.2-2
- Initial package.
